<div class="modal-dialog modal-dialog-centered modal-width" role="document">
  <div class="modal-content input-form-card">
    <div class="row">
      <span class="col-10 title">แก้ไขการประกาศข่าว</span>
      <div class="col-2" style="text-align: right">
        <img src="assets/img/x.png" class="close-btn" (click)="close()" />
      </div>
      <br /><br />
      <div class="col col-md-12">
        <div class="form-group">
          <label for="division">หัวข้อประกาศ</label>
          <input type="text" class="form-control" id="name" aria-describedby="emailHelp" placeholder="กรอกหัวข้อประกาศ"
            [(ngModel)]="data_edit.topic" />
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col col-md-6">
        <label for="division">วันที่ประกาศ</label>
        <div class="input-warpper">
          <!-- range calendar  -->
          <div class="input-calendar" style="height: 48px;">
            <input type="text" class="form-control" placeholder="กรุณาเลือกวันที่ประกาศ"
              [(ngModel)]="announceDate[0].selectedDate" (focus)="openCalendar(0, 'announceDate')"
              (ngModelChange)="input_date()" (click)="closeCalendar(0, 'startDate')"
              (click)="closeCalendar(0, 'endDate')" />
            <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="openCalendar(0, 'announceDate')"
              (click)="closeCalendar(0, 'startDate')" (click)="closeCalendar(0, 'endDate')" />
            <i class="fa fa-close btn-delete" *ngIf="announceDate[0].selectedDate"
              (click)="clearCalendar(0, 'announceDate')"></i>
          </div>
          <div class="calendar-warpper-2" *ngIf="announceDate[0].calendarState">
            <div class="body-calendar">
              <mat-calendar [selected]="announceDate[0].selectedStartDate"
                (selectedChange)="onSelectAnnounce($event, 0)" [startAt]="announceDate[0].selectedStartDate">
              </mat-calendar>
            </div>
            <div class="footer-calendar">
              <button class="btn-apply mat-flat-button mat-primary" color="primary" mat-flat-button
                (click)="applyCalendar(0, 'announceDate')">
                ตกลง
              </button>
              <button class="btn-close mat-flat-button" (click)="closeCalendar(0, 'announceDate')">
                ปิด
              </button>
            </div>
          </div>
          <div class="calendar-backdrop" *ngIf="announceDate[0].calendarState" (click)="closeCalendar(0)"></div>
          <!-- end range calendar  -->
        </div>
      </div>

      <div class="col col-md-6">
        <div class="form-group">
          <label for="workgroup">สถานะ</label>
          <select class="browser-default custom-select" [(ngModel)]="data_edit.status">
            <option value="null" selected disabled>
              กรุณาเลือกสถานะการประกาศข่าว
            </option>
            <option value="true">Active</option>
            <option value="false">In Active</option>
          </select>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-6">
        <label for="division">วันที่เริ่มใช้งาน</label>
        <div class="input-warpper">
          <!-- range calendar  -->
          <div class="input-calendar" style="height: 48px;">
            <input type="text" class="form-control" placeholder="กรุณาเลือกวันที่เริ่มใช้งาน"
              [(ngModel)]="startDate[0].selectedDate" (focus)="openCalendar(0, 'startDate')"
              (ngModelChange)="input_date()" (click)="closeCalendar(0, 'announceDate')"
              (click)="closeCalendar(0, 'endDate')" />
            <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="openCalendar(0, 'startDate')"
              (click)="closeCalendar(0, 'announceDate')" (click)="closeCalendar(0, 'endDate')" />
            <i class="fa fa-close btn-delete" *ngIf="startDate[0].selectedDate"
              (click)="clearCalendar(0, 'startDate')"></i>
          </div>
          <div class="calendar-warpper-2" *ngIf="startDate[0].calendarState">
            <div class="body-calendar">
              <mat-calendar [selected]="startDate[0].selectedStartDate"
                (selectedChange)="onSelectStart($event, 0, 'startDate')" [startAt]="startDate[0].selectedStartDate">
              </mat-calendar>
            </div>
            <div class="footer-calendar">
              <button class="btn-apply mat-flat-button mat-primary" color="primary"
                (click)="applyCalendar(0, 'startDate')">
                ตกลง
              </button>
              <button class="btn-close mat-flat-button" (click)="closeCalendar(0, 'startDate')">
                ปิด
              </button>
            </div>
          </div>
          <div class="calendar-backdrop" *ngIf="startDate[0].calendarState" (click)="closeCalendar(0)"></div>
          <!-- end range calendar  -->
        </div>
      </div>

      <div class="col-6">
        <label for="division">วันที่สิ้นสุดการใช้งาน</label>
        <div class="input-warpper">
          <!-- range calendar  -->
          <div class="input-calendar" style="height: 48px;">
            <input type="text" class="form-control" placeholder="กรุณาเลือกวันที่สิ้นสุดการใช้งาน"
              [(ngModel)]="endDate[0].selectedDate" (focus)="openCalendar(0, 'endDate')" (ngModelChange)="input_date()"
              (click)="closeCalendar(0, 'startDate')" (click)="closeCalendar(0, 'announceDate')" />
            <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="openCalendar(0, 'endDate')"
              (click)="closeCalendar(0, 'startDate')" (click)="closeCalendar(0, 'announceDate')" />
            <i class="fa fa-close btn-delete" *ngIf="endDate[0].selectedDate" (click)="clearCalendar(0, 'endDate')"></i>
          </div>
          <div class="calendar-warpper-2" *ngIf="endDate[0].calendarState">
            <div class="body-calendar">
              <mat-calendar [selected]="endDate[0].selectedStartDate"
                (selectedChange)="onSelectEnd($event, 0, 'endDate')" [startAt]="endDate[0].selectedStartDate">
              </mat-calendar>
            </div>
            <div class="footer-calendar">
              <button class="btn-apply mat-flat-button mat-primary" color="primary"
                (click)="applyCalendar(0, 'endDate')">
                ตกลง
              </button>
              <button class="btn-close mat-flat-button" (click)="closeCalendar(0, 'endDate')">
                ปิด
              </button>
            </div>
          </div>
          <div class="calendar-backdrop" *ngIf="endDate[0].calendarState" (click)="closeCalendar(0)"></div>
          <!-- end range calendar  -->
        </div>
      </div>
    </div>
    <br />

    <!----------------------------------------------- รายละเอียดประกาศ ----------------------------------------------->
    <div class="row">
      <div class="col-12">
        <p class="head-detal">รายละเอียดประกาศ</p>
      </div>
      <div class="mainText">

        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow()" rows="5" (click)="autogrow()" type="text" id="description" [(ngModel)]="data_edit.detail"
          #description="ngModel" name="description" required (click)="closeCalendar(0, 'announceDate')"
          (click)="closeCalendar(0, 'endDate')" (click)="closeCalendar(0, 'startDate')"></textarea>

        <div class="textarea-container">

          <div style="position: relative">

            <div class="image_row">
              <div class="row image_col">
                <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                  <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(1, i)"
                    (click)="closeCalendar(0, 'announceDate')" (click)="closeCalendar(0, 'endDate')"
                    (click)="closeCalendar(0, 'startDate')" />
                  <div class="unnon_image">
                    <img [src]="image1[i]" alt="{{ data_edit.picture.file[i].name }}"
                      title="{{ data_edit.picture.file[i].name }}" class="photo" (click)="image_click(1, i)"
                      (click)="closeCalendar(0, 'announceDate')" (click)="closeCalendar(0, 'endDate')"
                      (click)="closeCalendar(0, 'startDate')" />
                  </div>
                </div>

                <div class="non_image">
                  <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                    multiple (change)="getFileDetails(1, $event)" [(ngModel)]="file1_2" accept=".jpg,.png"
                    (click)="closeCalendar(0, 'announceDate')" (click)="closeCalendar(0, 'endDate')"
                    (click)="closeCalendar(0, 'startDate')" />
                  <label class="form-control non_image_text" for="fileDropRef"><img
                      src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
                </div>
              </div>
            </div>

            <div class="input_upload">
              <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                (change)="getFileDetails(1, $event)" [(ngModel)]="file1_1" accept=".jpg,.png"
                (click)="closeCalendar(0, 'announceDate')" (click)="closeCalendar(0, 'endDate')"
                (click)="closeCalendar(0, 'startDate')" />
              <label class="form-control input_upload_label" for="fileDropRef"><img
                  src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px" />
                เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
            </div>

          </div>
          <!-- <textarea
            class="form-control"
            id="exampleFormControlTextarea1"
            rows="enter"
            placeholder="เพิ่มรายละเอียดประกาศ "
            [(ngModel)]="data_edit.detail"
            style="height: 261px"
          ></textarea> -->
        </div>
      </div>
    </div>

    <!---------------------------------------------- อัปโหลดเอกสาร ---------------------------------------------->
    <div class="row">
      <div class="bg-sub">
        <label style="font-size: 18px">อัปโหลดเอกสาร</label>
      </div>
      <div class="dropzone">
        <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple (change)="onSelectFile($event)"
          (click)="closeCalendar(0, 'announceDate')" (click)="closeCalendar(0, 'endDate')"
          (click)="closeCalendar(0, 'startDate')" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
          application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
          application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
          .jpg,.png" />
        <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px" />
        <a style="font-size: 18px; color: #00a6e6"
          for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
      </div>
      <br />
    </div>
    <br />
    <div class="table-responsives">
      <table mat-table [dataSource]="dataSource_file">
        <!-- Position Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
          <td mat-cell *matCellDef="let element">
            <div class="class-name">{{ element.fileName }}</div>
          </td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="size">
          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
          <td mat-cell *matCellDef="let element">
            {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
          </td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element; let index = index">
            <span class="download_file" *ngIf="downloadfile_by[index] === 'path'"
              (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</span>
            <span class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
              (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</span>
            <span class="pipe">|</span>
            <span class="delete_file" (click)="delete_mutifile(element, index)"
              (click)="closeCalendar(0, 'announceDate')" (click)="closeCalendar(0, 'endDate')"
              (click)="closeCalendar(0, 'startDate')">ลบไฟล์</span>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
      </table>
    </div>
    <br /><br /><br />
    <div class="row">
      <div class="col-8"></div>
      <div class="col-2">
        <button class="btn btn-cancel" (click)="close()" (click)="closeCalendar(0, 'announceDate')"
          (click)="closeCalendar(0, 'endDate')" (click)="closeCalendar(0, 'startDate')">ยกเลิก</button>
      </div>
      <div class="col-2">
        <button class="btn btn-add-permission" (click)="save()" (click)="closeCalendar(0, 'announceDate')"
          (click)="closeCalendar(0, 'endDate')" (click)="closeCalendar(0, 'startDate')">บันทึก</button>
      </div>
    </div>
  </div>

  <br />

  <!--------------------------------------------------- The Modal -------------------------------------------------------- -->
  <div id="myModal" class="modal">
    <div style="justify-content: center">
      <div class="modal-content" *ngIf="showModel">
        <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png" /></span>
        <img src="{{ modalImage[modalmainImageIndex] }}" alt="{{ modalImagedetail[modalmainImageIndex].name }}"
          title="{{ modalImagedetail[modalmainImageIndex].name }}" class="modal-image" />
      </div>
      <br />
      <!-- <div>
        <div class="d-flex modal-image-detail" *ngIf="showModel">
          <div *ngFor="let item of modalImage; index as i">
            <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].name}}" title="{{modalImagedetail[i].name}}"
              [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
              (click)="modalmainImageIndex = i">
          </div>
        </div>
      </div> -->
    </div>
  </div>
</div>

<!-- ---------------------------------- Over multi files Size ------------------------------ -->
<div style="display: none">
  <a id="overfilesize" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style="background-color: white">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px; cursor: pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%; word-wrap: break-word">
        <a style="color: #2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of OverSize" style="color: #2e2d2d">
          -&nbsp;{{ item }}
        </div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------- End Over multi files Size ---------------------------- -->